//
//  Shoppersmanager.m
//  Lighting
//
//  Created by 曹云霄 on 16/5/10.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "Shoppersmanager.h"

@implementation Shoppersmanager


static Shoppersmanager *manager = nil;

+ (Shoppersmanager *)manager
{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        
        manager = [[Shoppersmanager alloc]init];
    });
    return manager;
}


+ (id)allocWithZone:(struct _NSZone *)zone
{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        manager = [super allocWithZone:zone];
    });
    return manager;
}







@end
